org.apache.ignite.internal.management.snapshot

## Class SnapshotStatusTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<NoArg,SnapshotTaskResult,SnapshotStatusTask.SnapshotStatus>
  - - org.apache.ignite.internal.management.snapshot.SnapshotStatusTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<NoArg>,SnapshotTaskResult>

    @GridInternal
    public class SnapshotStatusTask
    extends VisorMultiNodeTask<NoArg,SnapshotTaskResult,SnapshotStatusTask.SnapshotStatus>

Task to get the status of the current snapshot operation in the cluster.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SnapshotStatusTask.SnapshotOperation` Snapshot operation type.
`static class` `SnapshotStatusTask.SnapshotStatus` Snapshot operation status.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotStatusTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<NoArg,SnapshotStatusTask.SnapshotStatus>` `job(NoArg arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<NoArg> arg)`
`protected @Nullable SnapshotTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotStatusTask

    public SnapshotStatusTask()

### Method Detail

#### job

    protected VisorJob<NoArg,SnapshotStatusTask.SnapshotStatus> job(NoArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<NoArg,SnapshotTaskResult,SnapshotStatusTask.SnapshotStatus>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<NoArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<NoArg,SnapshotTaskResult,SnapshotStatusTask.SnapshotStatus>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

#### reduce0

    @Nullable
    protected @Nullable SnapshotTaskResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<NoArg,SnapshotTaskResult,SnapshotStatusTask.SnapshotStatus>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023